# Ignore Visual Studio Code settings
.vscode/
.vscode/*

# Ignore build directories
build/
Build/
BUILD/

# Ignore compiled object files
*.o
*.obj

# Ignore executable files
*.exe
*.out
*.app

# Ignore libraries
*.lib
*.a
*.la
*.lo
*.dll
*.dylib
*.so

# Ignore debug files
*.dSYM/
*.stackdump

# Ignore logs
*.log

# Ignore temporary files
*.tmp
*.temp
*.swp
*.swo
*.bak
*.old

# Ignore core dumps
core

# Ignore coverage files
*.gcda
*.gcno
*.gcov

# Ignore CMake files
CMakeFiles/
CMakeCache.txt
cmake_install.cmake
CMakeLists.txt.user

# Ignore other IDE specific files
.idea/
*.iml

# Build files
build/

# Autogenerated files
.stm32env